import gc
from machine import Pin, SPI #, SoftSPI

gc.collect(); last_m = gc.mem_free(); print('Free Memory:               {:d}'.format(last_m))

from ads1220 import Ads1220
gc.collect(); new_m = gc.mem_free(); print('import Ads1220 used Memory: {:d}'.format(last_m-new_m)); last_m = new_m

miso =Pin('B14', Pin.IN)    # do this before setting up spi, because the pin is redefined; miso.value() still works
spi = SPI(2, baudrate=1000000, phase=1) # spi = SoftSPI(baudrate=1000000, sck=Pin('B13'), miso=Pin('B14'), mosi=Pin('B15'))
cs = Pin('B12', Pin.OUT_PP, value=1)
gc.collect(); new_m = gc.mem_free(); print('spi, cs, drdy used Memory:    {:d}'.format(last_m-new_m)); last_m = new_m

ads = Ads1220(spi, cs, miso)
gc.collect(); new_m = gc.mem_free(); print('ads used Memory:             {:d}'.format(last_m-new_m)); last_m = new_m

config_dict = ads.config_dict()
print("\n--- ads1220 config ---")
for key, value in sorted(config_dict.items()):
    print("{0}: {1}".format(key, value))
