from machine import Pin, SPI
from ads1220 import Ads1220
from statistics import mean, stdev

miso =Pin('B14', Pin.IN)   # do this before setting up spi, because the pin is redefined,
spi = SPI(2, baudrate=1000000, phase=1)
cs = Pin('B12', Pin.OUT_PP, value=1)
ads = Ads1220(spi, cs, miso)

config_dict = ads.config_dict()
print("\n--- ads1220 config ---")
for key, value in sorted(config_dict.items()):
    print("{0}: {1}".format(key, value))
print("\n----------------------")

N = 200
data1 = [0]*N
data2 = [0]*N

ads.set_mux(0,4)
for i in range(N):
    data1[i] = ads.read()
print("mux(0,4) subsequently: mean: {}    stddev: {}".format(mean(data1), stdev(data1)))

ads.set_mux(3,3)
for i in range(N):
    data2[i] = ads.read()
print("mux(3,3) subsequently: mean: {}    stddev: {}".format(mean(data2), stdev(data2)))

for i in range(N):
    data1[i] = ads.read_from(0, 4)
    data2[i] = ads.read_from(3, 3)
print("mux(0,4) intermittently: mean: {}    stddev: {}".format(mean(data1), stdev(data1)))
print("mux(3,3) intermittently: mean: {}    stddev: {}".format(mean(data2), stdev(data2)))
